#
# spec file for package libipoddevice (Version 0.5.2)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa PolicyKit aaa_base acl alsa atk attr audiofile audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo coreutils cpio cpp cpp41 cracklib cups-libs cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib dbus-1-glib-devel dbus-1-python desktop-translations diffutils e2fsprogs esound expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc41 gconf2 gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz gnome-common gnome-filesystem gnome-keyring gnome-vfs2 gpm grep groff gtk2 gzip hal hal-devel hal-gnome info insserv klogd krb5 less libacl libart_lgpl libattr libbonobo libbonoboui libcom_err libdrm libgcc41 libglade2 libgnome libgnomecanvas libgnomeui libgtop libgtop-devel libidl libjpeg libltdl libmudflap41 libnscd libpng libstdc++41 libtiff libtool libusb libvolume_id libxcrypt libxml2 libxml2-devel libxml2-python libzio linux-kernel-headers m4 mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl orbit2 pam pam-modules pango patch perl permissions pkgconfig pm-utils pmtools popt procinfo procps psmisc pwdutils python python-cairo python-gnome python-gobject2 python-gtk python-numeric python-orbit rcs readline resmgr rpm scsi sed sqlite strace sysvinit tar tcpd texinfo timezone udev unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel

Name:           libipoddevice
%define libgtop_ver 2.12.0
%define hal_ver 0.5.2
BuildRequires:  gnome-common hal-devel >= %{hal_ver} hal-gnome libxml2-devel udev
%if 0%{?suse_version} > 0
BuildRequires:  libgtop-devel >= %{libgtop_ver} scsi update-desktop-files
%endif
%if 0%{?fedora_version} > 0
BuildRequires:  libgtop2-devel >= %{libgtop_ver} sg3_utils-devel
%endif
%if 0%{?mandriva_version} > 0
BuildRequires:  libgtop2.0-devel >= %{libgtop_ver} libsgutils1-devel
%endif
URL:            http://banshee-project.org/Libipoddevice
License:        GNU Library General Public License v. 2.0 and 2.1 (LGPL)
Group:          Development/Libraries/GNOME
Autoreqprov:    on
Version:        0.5.2
Release:        0.1
Summary:        GObject Library That Provides iPod Device Transparency through HAL
Source:         %{name}-%{version}.tar.gz
Patch0:         libipoddevice-shuffle-hfs.patch
Patch1:         libipoddevice-readonly-fix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       dbus-1 hal
Requires:       udev

%description
libipoddevice is a GObject library that provides iPod device
transparency through HAL. It provides certain device metadata through
GObject properties.

libipoddevice is useful for applications wishing to interface with an
iPod with out having to worry about lower level boring device details.



Authors:
--------
    Aaron Bockover <abockover@novell.com>
    James Willcox  <snorp@novell.com>

%debug_package
%package devel
Group:          Development/Libraries/GNOME
Autoreqprov:    on
Summary:        libipoddevice is a GObject library that provides iPod device transparency through HAL
Requires:       %{name} = %{version}
Requires:       dbus-1-devel glib2-devel hal-devel libxml2-devel
%if 0%{?suse_version} > 0
Requires:       libgtop-devel >= %{libgtop_ver} scsi
%endif
%if 0%{?fedora_version} > 0
Requires:       libgtop2-devel >= %{libgtop_ver} sg3_utils-devel
%endif
%if 0%{?mandriva_version} > 0
Requires:       libgtop2.0-devel >= %{libgtop_ver} libsgutils1-devel
%endif

%description devel
libipoddevice is a GObject library that provides iPod device
transparency through HAL. It provides certain device metadata through
GObject properties.

libipoddevice is useful for applications wishing to interface with an
iPod with out having to worry about lower level boring device details.



Authors:
--------
    Aaron Bockover <aaron@aaronbock.net>

%prep
%setup -q
%patch0
%patch1

%build
autoreconf -fi
export CFLAGS="$RPM_OPT_FLAGS"
./configure	--prefix=/usr \
		--libdir=%{_libdir}	\
		--mandir=%{_mandir}
make

%install
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS NEWS README COPYING
%{_bindir}/ipod
%{_libdir}/libipoddevice.so.*
%{_libdir}/hal/hal-ipod-info
%{_datadir}/hal/fdi/policy/20thirdparty/20-ipod-info.fdi

%files devel
%defattr(-,root,root)
%{_libdir}/libipoddevice.a
%{_libdir}/libipoddevice.la
%{_libdir}/libipoddevice.so
%{_prefix}/include/ipoddevice
%{_libdir}/pkgconfig/ipoddevice.pc

%changelog
* Fri Apr 13 2007 - abockover@suse.de
- Added patch to fix 261357 (Non-HFS+ iPods may be detected as read only)
* Sun Apr 01 2007 - abockover@suse.de
- Fixes 239107 and parts of 257156
  Improved HFS+ detection and handling
  Support second generation Shuffles
  More serial codes added to detection table
* Thu Dec 14 2006 - abockover@suse.de
- Required for Banshee 0.11.3 (FATE #301874)
* Tue Dec 12 2006 - abockover@suse.de
- Update to version 0.5.2
  More iPod model information
  Handle return value from asprintf
* Thu Oct 12 2006 - abockover@suse.de
- Update to version 0.5.0
  Work with more iPod models (latest Nanos)
  Added HAL callout for a serial number property
  Fixed libdir FDI bug
* Fri Sep 29 2006 - gekker@suse.de
- Update to version 0.5.0
  Include HAL support
  Work with iTunes 7
* Fri Aug 18 2006 - aj@suse.de
- Cleanup BuildRequires.
* Fri Jun 16 2006 - schwab@suse.de
- Fix syntax error in configure script.
* Sun Apr 23 2006 - jpr@suse.de
- Update to 0.4.5
- Fixes:
  * Fix critical segfault found on Shuffle iPods (#157382)
  * Handle proper return from fread;
  * Add "Fifth" string to generation string table
  * Use buildID instead of visibleBuildID from SysInfo to report
  firmware version
  * Guess the model number based on iPod generation and volume
  size for 1G/2G iPods (BGO #338006)
  * Remove broken reboot support
  * gcc 4.1 fixes
  * Handle overwritten play counts in sysinfo files
  * Don't support, but safely new dhdp binary headers
* Mon Feb 13 2006 - gekker@suse.de
- Update to version 0.4.1
- Handle ejecting of devices properly
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Dec 19 2005 - ro@suse.de
- added .so symlinks to filelist
* Thu Nov 10 2005 - jpr@suse.de
- Update to version 0.3.5
* Fri Nov 04 2005 - gekker@suse.de
- Update to version 0.3.4
* Wed Nov 02 2005 - dmueller@suse.de
- don't build as root
* Wed Sep 28 2005 - gekker@suse.de
- Update to version 0.3.3
- Adds support for the nano
* Fri Sep 09 2005 - gekker@suse.de
- Update to version 0.3.2 for banshee update
- Fix support for the shuffle
* Mon Aug 29 2005 - gekker@suse.de
- Update to version 0.3.1 for banshee update
* Mon Aug 22 2005 - gekker@suse.de
- Update to version 0.2.7 needed by banshee update.
* Mon Aug 15 2005 - gekker@suse.de
- Enable submount support.
* Fri Aug 05 2005 - gekker@suse.de
- Split a devel package and fix requirements
* Thu Aug 04 2005 - gekker@suse.de
- Initial import of package, version 0.2.5.1
